# -*- coding: utf-8 *-*
# ubuntuone.syncdaemon.platform.notification - User Notification
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Module that implements notification of the end user."""

import sys


if sys.platform == "win32":
    from ubuntuone.platform.windows import notification
    source = notification
else:
    from ubuntuone.platform.linux import notification
    source = notification
    NOTIFY_MODULE = source.NOTIFY_MODULE
    ICON_NAME = source.ICON_NAME


APPLICATION_NAME = source.APPLICATION_NAME

Notification = source.Notification
